#language: ru

@SalesOfProducts

Функционал: 000. SalesOfProducts. Установка функциональных опций

Сценарий: 000.1. SalesOfProducts. Установка времени начала блока тестов

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "13.SalesOfProducts"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.000. Реализация товаров"
	И Я устанавливаю время начала блока тестов

Сценарий: 000.2. SalesOfProducts. Установка функциональных опций

	И Я читаю лицензию "Заказы.xml"
	И флаг "Анализ продаж доступен" равен "Нет"
	И флаг "Анализ сервисов предприятия" равен "Нет"
	И флаг "Маркировка" равен "Да"
	И флаг "Мобильное приложение" равен "Нет"
	И флаг "Обработка заказов клиента" равен "Да"
	И флаг "Планирование переработки" равен "Нет"
	И флаг "Планирование продаж" равен "Нет"
	И флаг "Планирование разруба" равен "Нет"
	И флаг "Прогнозирование отгрузок" равен "Нет"
	И флаг "Приемка сырья" равен "Нет"
	И флаг "Приемка сырья (молочное)" равен "Нет"
	И флаг "Производство" равен "Нет"
	И флаг "Производство (молочное)" равен "Нет"
	И флаг "Производство (мясное)" равен "Нет"
	И флаг "Складская логистика" равен "Да"
	И флаг "Транспортная логистика" равен "Да"
	И флаг "Трейд-маркетинг" равен "Нет"
	И флаг "Управление продажами" равен "Нет"
	И флаг "Ценообразование" равен "Да"
	И флаг "Интеграция с ГИС Меркурий" равен "Нет"
	И флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. SalesOfProducts. Создание пользователей

	* Создание профиля Использовать форму подбора номенклатуры с количеством
		И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
		Тогда открылось окно 'Настройки пользователей и прав'
		И я нажимаю на кнопку с именем 'ОткрытьПрофилиГруппДоступа'
		Тогда открылось окно 'Профили групп доступа'
		Если в таблице "Список" нет строк Тогда
			| 'Наименование'                                          |
			| 'Использовать форму подбора номенклатуры с количеством' |
			И я нажимаю на кнопку с именем 'ФормаСоздать'
			Тогда открылось окно 'Профиль групп доступа (создание)'
			И в поле с именем 'Наименование' я ввожу текст 'Использовать форму подбора номенклатуры с количеством'
			И в таблице "Роли" я перехожу к строке:
				| 'Пометка' | 'Разрешенное действие (роль)'                           |
				| 'Нет'     | 'Использовать форму подбора номенклатуры с количеством' |
			И в таблице "Роли" я устанавливаю флаг с именем 'РолиПометка'
			И я нажимаю на кнопку с именем 'ФормаЗаписатьИЗакрыть'
			И я жду закрытия окна 'Профиль групп доступа (создание) *' в течение 20 секунд
			Тогда открылось окно 'Профили групп доступа'
		И Я закрываю окно 'Профили групп доступа'
		Тогда открылось окно 'Настройки пользователей и прав'
		И Я закрываю окно 'Настройки пользователей и прав'
	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Ведение организаций
		И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
		И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"
	* Ведение номенклатуры
		И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
		И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"
	* Ведение контрагентов
		И Я создаю группу доступа "Ведение контрагентов" с профилем "Ведение контрагентов"
		И Я создаю пользователя "Ведение контрагентов" с профилями "Базовый профиль;Ведение контрагентов"
	* Ведение НСИ транспортной логистики
		И Я создаю группу доступа "Ведение НСИ транспортной логистики" с профилем "Ведение НСИ транспортной логистики"
		И Я создаю пользователя "Ведение НСИ транспортной логистики" с профилями "Базовый профиль;Ведение НСИ транспортной логистики"
	* Ценообразование
		И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
		И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"
	* Создание заказов клиентов
		И Я создаю группу доступа "Создание заказов клиентов" с профилем "Создание заказов клиентов"
		И Я создаю пользователя "Создание заказов клиентов" с профилями "Базовый профиль;Создание заказов клиентов"
	* Формирование накладных
		И Я создаю группу доступа "Формирование накладных" с профилем "Формирование накладных"
		И Я создаю пользователя "Формирование накладных" с профилями "Базовый профиль;Формирование накладных"
	* Создание планов отгрузки
		И Я создаю группу доступа "Создание планов отгрузки" с профилем "Создание планов отгрузки"
		И Я создаю пользователя "Создание планов отгрузки" с профилями "Базовый профиль;Создание планов отгрузки"
	* Создание заданий на доставку
		И Я создаю группу доступа "Создание заданий на доставку" с профилем "Создание заданий на доставку"
		И Я создаю пользователя "Создание заданий на доставку" с профилями "Базовый профиль;Создание заданий на доставку"
	* Возврат товаров
		И Я создаю группу доступа "Возврат товаров" с профилем "Возврат товаров"
		И Я создаю пользователя "Возврат товаров" с профилями "Базовый профиль;Возврат товаров"
	* Формирование накладных на неавтоматизированных складах
		И Я создаю группу доступа "Формирование накладных на неавтоматизированных складах" с профилем "Формирование накладных на неавтоматизированных складах"
		И Я создаю пользователя "Формирование накладных на неавтоматизированных складах" с профилями "Базовый профиль;Формирование накладных на неавтоматизированных складах"
	* Основной менеджер
		И Я создаю пользователя "Основной менеджер" с профилями "Базовый профиль"
	* Создание заказов клиентов с использованием формы подбора номенклатуры с количеством
		И Я создаю группу доступа "Использовать форму подбора номенклатуры с количеством" с профилем "Использовать форму подбора номенклатуры с количеством"
		И Я создаю пользователя "Использование формы подбора номенклатуры с количеством" с профилями "Базовый профиль;Создание заказов клиентов;Использовать форму подбора номенклатуры с количеством"